Loading ...
Sorry, an error occurred while loading the content.

Can't install php-apache

Expand Messages
  • donald_wong_oohay
    When I execute ipkg install php-apache , I get an error message that says: ERROR: Cannot satisfy the following dependencies for php-apache: openldap-libs
    Message 1 of 13 , Apr 17, 2005
    • 0 Attachment
      When I execute 'ipkg install php-apache', I get an error message that
      says:

      ERROR: Cannot satisfy the following dependencies for php-apache:
      openldap-libs openldap-libs

      Any ideas?
    • Dale Van Zile
      ... Hi-- Me too, BTW, so it s apparantly not just Mr. Ooyah (may I call you Donald Wong?). TIA! C ya, Dutch -- No virus found in this outgoing message. Checked
      Message 2 of 13 , Apr 18, 2005
      • 0 Attachment
        donald_wong_oohay wrote:

        >When I execute 'ipkg install php-apache', I get an error message that
        >says:
        >
        >ERROR: Cannot satisfy the following dependencies for php-apache:
        > openldap-libs openldap-libs
        >

        Hi--
        Me too, BTW, so it's apparantly not just Mr. Ooyah (may I call you
        Donald Wong?).

        TIA!

        C ya,
        Dutch


        --
        No virus found in this outgoing message.
        Checked by AVG Anti-Virus.
        Version: 7.0.308 / Virus Database: 266.9.15 - Release Date: 4/16/2005
      • Dale Van Zile
        Hi all-- The situation: I had to replace my not-so-old Belkin (ugh! slow, and nothing but freezups and other problems!!) router and this required me to change
        Message 3 of 13 , Apr 18, 2005
        • 0 Attachment
          Hi all--
          The situation:
          I had to replace my not-so-old Belkin (ugh! slow, and nothing but
          freezups and other problems!!) router and this required me to change the
          IP address on my slug. (Upside: the new one's a Linksys WRT54G! }:^)> )

          The Problem:
          The Linksys web interface managed to screw it up, and with a bit of work
          (hard-resetting via the reset button, then reflashing the uNSLUng three
          times) I've managed to get it back up and running to the point that it
          can be SSH'ed into. Then I went in and found the various smb.conf
          files, the HOSTNAME file, and rebuilt my /root directory, which gives me
          the ability to see my slug in the "Computers Near Me" and browse its
          shares on my hdd, but the host name displayed here is still the default
          name instead of my chosen hostname, and I still get the "Error: Fail to
          get samba information" on the web interface at several screens--LAN,
          system, and status on the administration tab.

          Anywho, I'm a bit of a noobie, and if anyone out there can point me at
          the files I need to edit to get this error fixed manually (and hopefully
          set the IP to a useful number on the subnet, although 192.168.1.77 would
          be ok if necessary), I'd realllllly appreciate it!

          Thanks!

          C ya,
          Dutch


          --
          No virus found in this outgoing message.
          Checked by AVG Anti-Virus.
          Version: 7.0.308 / Virus Database: 266.9.15 - Release Date: 4/16/2005
        • Josh Parsons
          ... install unslung-feeds -- Josh Parsons Philosophy Department 1238 Social Sciences and Humanities Bldg. University of California Davis, CA 95616-8673 USA
          Message 4 of 13 , Apr 18, 2005
          • 0 Attachment
            On Mon, 2005-04-18 at 05:41 +0000, donald_wong_oohay wrote:
            >
            > When I execute 'ipkg install php-apache', I get an error message that
            > says:
            >
            > ERROR: Cannot satisfy the following dependencies for php-apache:
            > openldap-libs openldap-libs

            install unslung-feeds

            --
            Josh Parsons
            Philosophy Department
            1238 Social Sciences and Humanities Bldg.
            University of California
            Davis, CA 95616-8673
            USA

            Please avoid sending me Word or PowerPoint attachments.
            See http://www.fsf.org/philosophy/no-word-attachments.html
          • Rod Whitby
            ... Josh, The native feed doesn t seem to contain the latest openldap-libs update yet. -- Rod
            Message 5 of 13 , Apr 18, 2005
            • 0 Attachment
              On 4/18/05, Josh Parsons <jbparsons@...> wrote:
              > On Mon, 2005-04-18 at 05:41 +0000, donald_wong_oohay wrote:
              > >
              > > When I execute 'ipkg install php-apache', I get an error message that
              > > says:
              > >
              > > ERROR: Cannot satisfy the following dependencies for php-apache:
              > > openldap-libs openldap-libs

              Josh,

              The native feed doesn't seem to contain the latest openldap-libs update yet.

              -- Rod
            • Josh Parsons
              ... My apologies. openldap-libs is indeed not in the feeds, disregard my previous message. It will be there soon; in the meantime, it should be safe to the
              Message 6 of 13 , Apr 18, 2005
              • 0 Attachment
                On Mon, 2005-04-18 at 06:53 -0700, Josh Parsons wrote:

                > > When I execute 'ipkg install php-apache', I get an error message that
                > > says:
                > >
                > > ERROR: Cannot satisfy the following dependencies for php-apache:
                > > openldap-libs openldap-libs

                My apologies. openldap-libs is indeed not in the feeds, disregard my
                previous message. It will be there soon; in the meantime, it should be
                safe to the -nodeps option with ipkg to disregard this dependency.

                --
                Josh Parsons
                Philosophy Department
                1238 Social Sciences and Humanities Bldg.
                University of California
                Davis, CA 95616-8673
                USA

                Please avoid sending me Word or PowerPoint attachments.
                See http://www.fsf.org/philosophy/no-word-attachments.html
              • Marten van der Honing
                i installed apache2-php as it is explained in the faq: 30. How do I install Apache? 1. ipkg install unslung-feeds 2. ipkg update 3. ipkg install php-apache
                Message 7 of 13 , Apr 18, 2005
                • 0 Attachment
                  i installed apache2-php as it is explained in the faq:
                  30. How do I install Apache?


                  1. ipkg install unslung-feeds

                  2. ipkg update

                  3. ipkg install php-apache (This will install PHP, Apache and all the
                  other needed apps too)

                  4. Create a file called /etc/nsswitch.conf which contains this: hosts: files dns

                  Now you're done.

                  If you try to install Apache without doing the "unslung-feeds" step,
                  chances are you will get an error like "ERROR: Cannot satisfy the
                  following dependencies for apache: openldap openldap"

                  That allowed me to install without errors. PHP is not working for me
                  yet but that is in another thread. but do try steps 1 and 2 and you
                  should be able to install it. Or was i just lucky?
                • Donald Wong
                  I ran those exact steps last night and that s what resulted in the error message. Someone in a previous email mentioned that the openldap packages are not in
                  Message 8 of 13 , Apr 18, 2005
                  • 0 Attachment
                    I ran those exact steps last night and that's what
                    resulted in the error message. Someone in a previous
                    email mentioned that the openldap packages are not in
                    unslung feeds yet. Have you tried these steps
                    recently?

                    Don

                    --- Marten van der Honing <mvdhoning@...> wrote:
                    > i installed apache2-php as it is explained in the
                    > faq:
                    > 30. How do I install Apache?
                    >
                    >
                    > 1. ipkg install unslung-feeds
                    >
                    > 2. ipkg update
                    >
                    > 3. ipkg install php-apache (This will install PHP,
                    > Apache and all the
                    > other needed apps too)
                    >
                    > 4. Create a file called /etc/nsswitch.conf which
                    > contains this: hosts: files dns
                    >
                    > Now you're done.
                    >
                    > If you try to install Apache without doing the
                    > "unslung-feeds" step,
                    > chances are you will get an error like "ERROR:
                    > Cannot satisfy the
                    > following dependencies for apache: openldap
                    > openldap"
                    >
                    > That allowed me to install without errors. PHP is
                    > not working for me
                    > yet but that is in another thread. but do try steps
                    > 1 and 2 and you
                    > should be able to install it. Or was i just lucky?
                    >
                  • Donald Wong
                    It seems to be working now. Did someone add the openldap package to the feeds already? Don
                    Message 9 of 13 , Apr 18, 2005
                    • 0 Attachment
                      It seems to be working now. Did someone add the
                      openldap package to the feeds already?

                      Don

                      --- Donald Wong <donald_wong_oohay@...> wrote:
                      > I ran those exact steps last night and that's what
                      > resulted in the error message. Someone in a
                      > previous
                      > email mentioned that the openldap packages are not
                      > in
                      > unslung feeds yet. Have you tried these steps
                      > recently?
                    • Marten van der Honing
                      Do your php pages work?
                      Message 10 of 13 , Apr 18, 2005
                      • 0 Attachment
                        Do your php pages work?

                        On 4/18/05, Donald Wong <donald_wong_oohay@...> wrote:
                        >
                        > It seems to be working now. Did someone add the
                        > openldap package to the feeds already?
                        >
                        > Don
                        >
                      • Donald Wong
                        Haven t gotten that far yet. Will let you know. :) Don
                        Message 11 of 13 , Apr 18, 2005
                        • 0 Attachment
                          Haven't gotten that far yet. Will let you know. :)

                          Don

                          --- Marten van der Honing <mvdhoning@...> wrote:
                          > Do your php pages work?
                          >
                          > On 4/18/05, Donald Wong
                          > <donald_wong_oohay@...> wrote:
                          > >
                          > > It seems to be working now. Did someone add the
                          > > openldap package to the feeds already?
                          > >
                          > > Don
                          > >
                          >
                        • Donald Wong
                          Yes, my PHP pages work. Don
                          Message 12 of 13 , Apr 19, 2005
                          • 0 Attachment
                            Yes, my PHP pages work.

                            Don

                            --- Marten van der Honing <mvdhoning@...> wrote:
                            > Do your php pages work?
                            >
                            > On 4/18/05, Donald Wong
                            > <donald_wong_oohay@...> wrote:
                            > >
                            > > It seems to be working now. Did someone add the
                            > > openldap package to the feeds already?
                            > >
                            > > Don
                            > >
                            >
                          • minimatica
                            ... Where are these faqs? TNX!
                            Message 13 of 13 , Apr 2, 2007
                            • 0 Attachment
                              --- In nslu2-linux@yahoogroups.com, Marten van der Honing
                              <mvdhoning@...> wrote:
                              >
                              > i installed apache2-php as it is explained in the faq:
                              > 30. How do I install Apache?
                              >

                              Where are these faqs?

                              TNX!
                            Your message has been successfully submitted and would be delivered to recipients shortly.